Eclipse Platform Release 3.7

## org.eclipse.core.databinding
Class BindingProperties

    java.lang.Object
      org.eclipse.core.databinding.BindingProperties

    public class BindingProperties

extends Object

A factory for creating properties for core types in the DataBinding framework e.g. `DataBindingContext` or ValidationStatusProvider.

Since:
  1.2

Constructor Summary
`BindingProperties()`

Method Summary
`static IListProperty` `bindings()` Returns an `IListProperty` < `Binding` > for observing the bindings of a `DataBindingContext`.
`static IValueProperty` `convertedValue(IConverter converter)` Returns an `IValueProperty` whose value results from applying the given `IConverter` on the source object of the value property.
`static IValueProperty` `model()` Returns an `IValueProperty` < `IObservable` > for observing the model of a `Binding`.
`static IListProperty` `models()` Returns an `IListProperty` < `IObservable` > for observing the models of a `ValidationStatusProvider`.
`static IValueProperty` `target()` Returns an `IValueProperty` < `IObservable` > for observing the target of a `Binding`.
`static IListProperty` `targets()` Returns an `IListProperty` < `IObservable` > for observing the targets of a `ValidationStatusProvider`.
`static IValueProperty` `validationStatus()` Returns an `IValueProperty` < `IStatus` > for observing the validation status of a `ValidationStatusProvider`.
`static IListProperty` `validationStatusProviders()` Returns an `IListProperty` < `ValidationStatusProvider` > for observing the validation status providers of a `DataBindingContext`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingProperties

    public BindingProperties()

Method Detail

### bindings

    public static IListProperty bindings()

  Returns an `IListProperty` < `Binding` > for observing the bindings of a `DataBindingContext`.

  Returns:
    an `IListProperty` < `Binding` > for observing the bindings of a `DataBindingContext`.

### model

    public static IValueProperty model()

  Returns an `IValueProperty` < `IObservable` > for observing the model of a `Binding`.

  Returns:
    an `IValueProperty` < `IObservable` > for observing the model of a `Binding`.

### models

    public static IListProperty models()

  Returns an `IListProperty` < `IObservable` > for observing the models of a `ValidationStatusProvider`.

  Returns:
    an `IListProperty` < `IObservable` > for observing the models of a `ValidationStatusProvider`.

### target

    public static IValueProperty target()

  Returns an `IValueProperty` < `IObservable` > for observing the target of a `Binding`.

  Returns:
    an `IValueProperty` < `IObservable` > for observing the target of a `Binding`.

### targets

    public static IListProperty targets()

  Returns an `IListProperty` < `IObservable` > for observing the targets of a `ValidationStatusProvider`.

  Returns:
    an `IListProperty` < `IObservable` > for observing the targets of a `ValidationStatusProvider`.

### validationStatus

    public static IValueProperty validationStatus()

  Returns an `IValueProperty` < `IStatus` > for observing the validation status of a `ValidationStatusProvider`.

  Returns:
    an `IValueProperty` < `IStatus` > for observing the validation status of a `ValidationStatusProvider`.

### validationStatusProviders

    public static IListProperty validationStatusProviders()

  Returns an `IListProperty` < `ValidationStatusProvider` > for observing the validation status providers of a `DataBindingContext`.

  Returns:
    an `IListProperty` < `ValidationStatusProvider` > for observing the validation status providers of a `DataBindingContext`.

### convertedValue

    public static IValueProperty convertedValue(IConverter converter)

  Returns an `IValueProperty` whose value results from applying the given `IConverter` on the source object of the value property. Consequently, the `value type` of the returned property is the same as the `target type` of the converter. Setting a value on the property is not supported.

  Parameters:
    `converter` - The converter to apply to the source object of the value property.
  Returns:
    A new instance of a value property whose value is the result of applying the given converter to the source object passed to the value property.
  Since:
    1.4

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.